Name:		tkdiff
Version:	4.2
Release:	%mkrel 0.1
Summary:	An tcl/tk based graphical interface to the DIFF utility
Summary(fr_FR):	Une interface graphique tcl/tk pour l'utilitaire DIFF
License:	GPLv2
Group:		Development/Other
URL:		http://tkdiff.sourceforge.net/
Source0:	http://sourceforge.net/projects/tkdiff/files/%{name}/%{version}/%{name}-%{version}.tar.gz
# desktop, icon and man files are provided from ALT linux distribution.
Source1:	tkdiff.desktop
Source2:	tkdiff.png
Source3:	tkdiff.1
BuildArch:	noarch

Requires:	diffutils
Requires:	tk

%description
tkdiff is a graphical front end to the diff program. It provides a side-by-side
view of the differences between two files, along with several innovative
features such as diff bookmarks and a graphical map of differences for quick
navigation.

%description -l fr_FR
tkdiff est une interface graphique au programme « diff ». Il fournit des vues
juxtaposées des différences entre deux fichiers ainsi que d'autres
fonctionnalités innovantes telles que des liens vers les différences et une
carte graphique de celles-ci pour un parcours facilité.

%prep
%setup -q -n %{name}-unix

chmod 0644 README.txt

%build

%install
# binary-repertory
mkdir -p %{buildroot}%{_bindir}
install -m 0755 tkdiff %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# icons-repertory
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# man-repertory
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Mar 23 2014 david-david (MLO Team) <david-david> 4.2-0.1.mga4
+ Build package for Mageia 4 (Core\MLO)
- sync with Cauldron (.mga5)
- imported package tkdiff
- version: 4.2
